Summary:        A library implementing the client-side of the X11 display server protocol
Name:           libxcb
Version:        1.14
Release:        5%{?dist}
License:        MIT
URL:            http://xcb.freedesktop.org/
Source0:        http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.gz

BuildRequires:  make libtool pkgconfig
BuildRequires:  libxslt doxygen graphviz
BuildRequires:  pkgconfig(xau) >= 0.99.2
BuildRequires:  pkgconfig(xcb-proto) >= 1.13
BuildRequires:  pkgconfig(xorg-macros) >= 1.18
BuildRequires:  python3 python3-devel

%description
XCB (X protocol C-language Binding) is a library implementing the client-side of
the X11 display server protocol. XCB is written in the C programming language and
distributed under the MIT License. The project was started in 2001 by Bart Massey
and aims to replace Xlib.

%package devel
Summary:    libxcb development package
Requires:   %{name} = %{version}-%{release}

%description devel
This package includes header files, libraries necessary for
developing programs which use libxcb library.

%prep
%autosetup -p1

%build
sed -i 's/pthread-stubs //' configure.ac
autoreconf -fiv
%configure \
    --disable-static \
    --enable-selinux \
    --enable-xkb \
    --enable-xinput \
    --disable-xprint \
    --disable-silent-rules \
    --docdir=%{_pkgdocdir}
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

%install
%make_install
echo -e 'prefix=%{_prefix}\nexec_prefix=%{_exec_prefix}\nlibdir=%{_libdir}' \
    > %{buildroot}%{_libdir}/pkgconfig/pthread-stubs.pc
find %{buildroot} -name '*.la' -delete

%files
%license COPYING
%doc NEWS README.md
%{_libdir}/libxcb-*.so.*
%{_libdir}/libxcb.so.1*
%{_pkgdocdir}

%files devel
%{_includedir}/xcb
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*.3*

%changelog
* Tue Dec 26 2023 Zhao Zhen <jeremiazhao@tencent.com> - 1.14-5
- adapts files list for autoupgrade 

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.14-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.14-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.14-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jul 28 2022 ZoeDong <zoedong@tencent.com> - 1.14-1
- Initial build

